<?php
class AdminManagePlugin extends AppController {
    
    /**
     * Performs necessary initialization
     */
    private function init() {
            // Require login
            $this->parent->requireLogin();

            //Language::loadLang("feed_reader_manage_plugin", null, PLUGINDIR . "feed_reader" . DS . "language" . DS);

            $this->uses(array("Idevaffiliate.IdevaffiliateSettingsModel"));
            // Use the parent data helper, it's already configured properly
            $this->Date = $this->parent->Date;

            $this->plugin_id = isset($this->get[0]) ? $this->get[0] : null;

            // Set the page title
            $this->parent->structure->set("page_title", "iDevAffiliate > " . Loader::fromCamelCase($this->action ? $this->action : "index"));
    }
    
    
    public function index() {
        $this->init();
	
        
        $vars = array('plugin_id'=>$this->plugin_id);
		
        if (!empty($this->post)) {
           
            // Add the feed
            $this->IdevaffiliateSettingsModel->editSettings($this->post);

            // Set errors, if any
            if (($errors = $this->IdevaffiliateSettingsModel->errors())) {
                    $this->parent->setMessage("error", $errors);
                    $vars['vars'] = (object)$this->post;
            }
            // Handle successful add
            else {
                    $this->parent->flashMessage("message", "Settings Saved Successfully");
                    $this->redirect($this->base_uri . "settings/company/plugins/manage/" . $this->plugin_id);
            }
        }
        else {
            $vars['settings'] = $this->IdevaffiliateSettingsModel->getSettings();
        }
        

        // Set the view to render for all actions under this controller
        $this->view->setView(null, "Idevaffiliate.default");
        return $this->partial("admin_manage_plugin", $vars);
    }
 
}
?>